namespace Domain.Entities.Common.ValueObject
{
    public static class BankCode
    {
        public sealed record Item(string Value, string Text);

        public static IReadOnlyList<Item> List { get; } = new List<Item>
        {
            new("39", "경남은행"),
            new("34", "광주은행"),
            new("S8", "교보증권"),
            new("12", "단위농협(지역농축협)"),
            new("SE", "대신증권"),
            new("SK", "메리츠증권"),
            new("S5", "미래에셋증권"),
            new("SM", "부국증권"),
            new("32", "부산은행"),
            new("S3", "삼성증권"),
            new("45", "새마을금고"),
            new("64", "산림조합"),
            new("SN", "신영증권"),
            new("S2", "신한금융투자"),
            new("88", "신한은행"),
            new("48", "신협"),
            new("27", "씨티은행"),
            new("20", "우리은행"),
            new("71", "우체국예금보험"),
            new("S0", "유안타증권"),
            new("SJ", "유진투자증권"),
            new("50", "저축은행중앙회"),
            new("37", "전북은행"),
            new("35", "제주은행"),
            new("90", "카카오뱅크"),
            new("288", "카카오페이증권"),
            new("89", "케이뱅크"),
            new("92", "토스뱅크"),
            new("ST", "토스증권"),
            new("SR", "펀드온라인코리아(한국포스증권)"),
            new("SH", "하나금융투자"),
            new("81", "하나은행"),
            new("S9", "하이투자증권"),
            new("S6", "한국투자증권"),
            new("SG", "한화투자증권"),
            new("SA", "현대차증권"),
            new("54", "홍콩상하이은행"),
            new("SI", "DB금융투자"),
            new("31", "DGB대구은행"),
            new("03", "IBK기업은행"),
            new("06", "KB국민은행"),
            new("S4", "KB증권"),
            new("02", "KDB산업은행"),
            new("SP", "KTB투자증권(다올투자증권)"),
            new("SO", "LIG투자증권"),
            new("11", "NH농협은행"),
            new("SL", "NH투자증권"),
            new("23", "SC제일은행"),
            new("07", "Sh수협은행"),
            new("SD", "SK증권")
        };
    }
}